function chat( event ) {
	var line = remascii( event );
	if (line == "BOT CHECK - use the 'answer' command to store your answer.") {
		jmc.parse("say << BOT CHECK! >>");
		jmc.beep();
	} else if (line == "You have successfully passed the bot check. Thank you for not botting.") {
		jmc.parse("say << BOT CHECK PASSED! >>");
		jmc.beep();
	}
	
	var global = /^(\[ .* (gossip(s)?|auction(s)?|sing(s)?|auction(s)?|warn(s)?|newbie(s)?|yell(s)?|shout(s)?) \]:|\[\*\] .* flame(s)? \[\*\]) '.*'$/;
	var c1exp = new RegExp( global );
	var c1 = c1exp.exec( line );

	var local = /^.* say(s)?, '.*'$/;
	var c2exp = new RegExp( local );
	var c2 = c2exp.exec( line );

	var system = /^## .*$/;
	var c3exp = new RegExp( system );
	var c3 = c3exp.exec( line );

	var tells = /^.* tell(s)? .*, '.*'$/;
	var c4exp = new RegExp( tells );
	var c4 = c4exp.exec( line );

	var misc = /^\[ .* \]: '.*'$/;
	var c5exp = new RegExp( misc );
	var c5 = c5exp.exec( line );

	var guard = /^\<<.*>>(:)? '.*'$/;
	var c6exp = new RegExp( guard );
	var c6 = c6exp.exec( line );
	
	var clan = /\[ >>> .* <<< \]/;
	var c7exp = new RegExp( clan );
	var c7 = c7exp.exec( line );

	if (c1 != null || c2 != null || c3 != null || c4 != null || c5 != null || c6 != null || c7 != null) {
		d = new Date();
		var hours = d.getHours();
		var minutes = d.getMinutes();
		var day = "PM";
		if (hours > 12) {
			hours -= 12;
			day = "PM";
		} else {
			if (hours == 0) {
				hours = 12;
			}
			day = "AM";
		}
		 if (minutes < 10) {
			minutes = "0" + minutes;
		}

		if (FileSystem.FileExists("logs/" + (d.getMonth() + 1) + "." + d.getDate() + "." + d.getYear() + ".txt")) {
			var Stream = FileSystem.OpenTextFile("logs/" + (d.getMonth() + 1) + "." + d.getDate() + "." + d.getYear() + ".txt", 8);
		} else {
			var Stream = FileSystem.CreateTextFile("logs/" + (d.getMonth() + 1) + "." + d.getDate() + "." + d.getYear() + ".txt", false);
		}
	
		Stream.write( "(" + hours + ":" + minutes + " " + day + ") " + line + "\r\n" );
		Stream.close();
		jmc.output( event );
	}
	return event;
}

register_handler("Incoming", chat);